# Couenne::CouenneFPpool Class Reference

Pool of solutions. More...

`#include <CouenneFPpool.hpp>`

List of all members.

## Public Member Functions
| CouenneFPpool (CouenneProblem *p, enum what_to_compare c)
| simple constructor (empty pool)
| CouenneFPpool (const CouenneFPpool &src)
| copy constructor
CouenneFPpool & | operator= (const CouenneFPpool &src)
| assignment
std::set< CouenneFPsolution, compareSol > & | Set ()
| return the main object in this class
CouenneProblem * | Problem ()
| return the problem pointer
void | findClosestAndReplace (double *&sol, const double *nSol, int nvars)
| finds, in pool, solution x closest to sol; removes it from the pool and overwrites it to sol
## Protected Attributes
std::set< CouenneFPsolution, compareSol > | set_
| Pool.
CouenneProblem * | problem_
| Problem pointer.

## Detailed Description

Pool of solutions.

Definition at line 91 of file CouenneFPpool.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneFPpool::CouenneFPpool | ( | CouenneProblem * | p,
|  | enum what_to_compare | c |
| ) |  |  | `[inline]`

simple constructor (empty pool)

Definition at line 104 of file CouenneFPpool.hpp.

References Couenne::comparedTerm_.

Couenne::CouenneFPpool::CouenneFPpool | ( | const CouenneFPpool & | src | ) |

copy constructor

## Member Function Documentation

CouenneFPpool& Couenne::CouenneFPpool::operator= | ( | const CouenneFPpool & | src | ) |

assignment

std::set<CouenneFPsolution, compareSol>& Couenne::CouenneFPpool::Set | ( |  | ) | `[inline]`

return the main object in this class

Definition at line 114 of file CouenneFPpool.hpp.

References set_.

CouenneProblem* Couenne::CouenneFPpool::Problem | ( |  | ) | `[inline]`

return the problem pointer

Definition at line 118 of file CouenneFPpool.hpp.

References problem_.

void Couenne::CouenneFPpool::findClosestAndReplace | ( | double *& | sol,
|  | const double * | nSol,
|  | int | nvars |
| ) |  |  |

finds, in pool, solution x closest to sol; removes it from the pool and overwrites it to sol

## Member Data Documentation

std::set<CouenneFPsolution, compareSol> Couenne::CouenneFPpool::set_`[protected]`

Pool.

Definition at line 96 of file CouenneFPpool.hpp.

Referenced by Set().

CouenneProblem* Couenne::CouenneFPpool::problem_`[protected]`

Problem pointer.

Definition at line 99 of file CouenneFPpool.hpp.

Referenced by Problem().

The documentation for this class was generated from the following file:

- CouenneFPpool.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines